package com.global.iop.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class FileItem {
  private Contract contract;
  
  public FileItem(File file) {
    this.contract = (Contract)new LocalContract(file);
  }
  
  public FileItem(String filePath) {
    this(new File(filePath));
  }
  
  public FileItem(String fileName, byte[] content) {
    this(fileName, content, null);
  }
  
  public FileItem(String fileName, byte[] content, String mimeType) {
    this.contract = (Contract)new ByteArrayContract(fileName, content, mimeType);
  }
  
  public FileItem(String fileName, InputStream stream) {
    this(fileName, stream, null);
  }
  
  public FileItem(String fileName, InputStream stream, String mimeType) {
    this.contract = (Contract)new StreamContract(fileName, stream, mimeType);
  }
  
  public boolean isValid() {
    return this.contract.isValid();
  }
  
  public String getFileName() {
    return this.contract.getFileName();
  }
  
  public String getMimeType() throws IOException {
    return this.contract.getMimeType();
  }
  
  public long getFileLength() {
    return this.contract.getFileLength();
  }
  
  public void write(OutputStream output) throws IOException {
    this.contract.write(output);
  }
}
